#pragma once
#include "../../YoggieEngine/src/YoggieEngine.h"
#include "../EditorWindow.h"

typedef void (*voidFunction) (void);

inline void ComponentView(const std::string& componentName, voidFunction func);

class Inspector : public EditorWindow {
public:
    Inspector() : EditorWindow("Inspector") {}

    void Draw()override;


    void AddComponentDropDown(YoggieEngine::Entity& selected);

    void ShowComponents(YoggieEngine::Entity& selected);

};
